[data-aos] {
  transition-property: opacity, transform;
}

[data-aos].aos-animate {
  opacity: 1;
  transform: translate(0);
}

/* Durations */
[data-aos][data-aos-duration='100'] { transition-duration: .1s; }
[data-aos][data-aos-duration='200'] { transition-duration: .2s; }
[data-aos][data-aos-duration='300'] { transition-duration: .3s; }
[data-aos][data-aos-duration='400'] { transition-duration: .4s; }
[data-aos][data-aos-duration='500'] { transition-duration: .5s; }
[data-aos][data-aos-duration='700'] { transition-duration: .7s; }
[data-aos][data-aos-duration='1000'] { transition-duration: 1s; }
[data-aos][data-aos-duration='1500'] { transition-duration: 1.5s; }
[data-aos][data-aos-duration='2000'] { transition-duration: 2s; }

/* Delay */
[data-aos][data-aos-delay='100'] { transition-delay: .1s; }
[data-aos][data-aos-delay='200'] { transition-delay: .2s; }
[data-aos][data-aos-delay='300'] { transition-delay: .3s; }
[data-aos][data-aos-delay='500'] { transition-delay: .5s; }

/* Fade */
[data-aos^="fade"] { opacity: 0; }

[data-aos="fade-up"] { transform: translateY(100px); }
[data-aos="fade-down"] { transform: translateY(-100px); }
[data-aos="fade-left"] { transform: translateX(100px); }
[data-aos="fade-right"] { transform: translateX(-100px); }

/* Zoom */
[data-aos^="zoom"] { opacity: 0; }

[data-aos="zoom-in"] { transform: scale(.6); }
[data-aos="zoom-out"] { transform: scale(1.2); }

/* Slide */
[data-aos^="slide"] { transition-property: transform; }

[data-aos="slide-up"] { transform: translateY(100%); }
[data-aos="slide-down"] { transform: translateY(-100%); }
[data-aos="slide-left"] { transform: translateX(100%); }
[data-aos="slide-right"] { transform: translateX(-100%); }

/* Flip */
[data-aos^="flip"] {
  backface-visibility: hidden;
  transition-property: transform;
}

[data-aos="flip-left"] {
  transform: perspective(2500px) rotateY(-100deg);
}

[data-aos="flip-left"].aos-animate {
  transform: perspective(2500px) rotateY(0);
}

[data-aos="flip-right"] {
  transform: perspective(2500px) rotateY(100deg);
}

[data-aos="flip-right"].aos-animate {
  transform: perspective(2500px) rotateY(0);
}